Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.util.lisp
Class LListListIterator

    java.lang.Object
      ix.util.lisp.LListIterator
          ix.util.lisp.LListListIterator

All Implemented Interfaces:
  java.util.Iterator, java.util.ListIterator

Direct Known Subclasses:
  LListCollector.LListCollectorListIterator, LLQueue.LLQueueListIterator

    public class LListListIterator

extends LListIterator
implements java.util.ListIterator

An implementation of ListIterator for LLists.

Field Summary
`protected int` | `index`
`protected LList` | `list`
`protected Cons` | `setPoint`

Fields inherited from class ix.util.lisp.LListIterator
`at`

Constructor Summary
`LListListIterator(LList list)`
`LListListIterator(LList list, int start)`
`LListListIterator(LListListIterator i)`

Method Summary
`void` | `add(java.lang.Object o)`
`boolean` | `hasNext()`
`boolean` | `hasPrevious()`
`java.lang.Object` | `next()`
`int` | `nextIndex()`
`java.lang.Object` | `previous()`
`int` | `previousIndex()`
`void` | `remove()`
`void` | `set(java.lang.Object o)`
`protected static Cons` | `theCdrBefore(Cons tail, LList list)`

Methods inherited from class ix.util.lisp.LListIterator
`getTail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### list

    protected LList list

### index

    protected int index

### setPoint

    protected Cons setPoint

Constructor Detail

### LListListIterator

    public LListListIterator(LList list)

### LListListIterator

    public LListListIterator(LList list,
                             int start)

### LListListIterator

    public LListListIterator(LListListIterator i)

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator`
  Specified by:
    `hasNext` in interface `java.util.ListIterator`
  Overrides:
    `hasNext` in class `LListIterator`

### next

    public java.lang.Object next()

  Specified by:
    `next` in interface `java.util.Iterator`
  Specified by:
    `next` in interface `java.util.ListIterator`
  Overrides:
    `next` in class `LListIterator`

### hasPrevious

    public boolean hasPrevious()

  Specified by:
    `hasPrevious` in interface `java.util.ListIterator`

### previous

    public java.lang.Object previous()

  Specified by:
    `previous` in interface `java.util.ListIterator`

### theCdrBefore

    protected static final Cons theCdrBefore(Cons tail,
                                             LList list)

### nextIndex

    public int nextIndex()

  Specified by:
    `nextIndex` in interface `java.util.ListIterator`

### previousIndex

    public int previousIndex()

  Specified by:
    `previousIndex` in interface `java.util.ListIterator`

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator`
  Specified by:
    `remove` in interface `java.util.ListIterator`
  Overrides:
    `remove` in class `LListIterator`

### set

    public void set(java.lang.Object o)

  Specified by:
    `set` in interface `java.util.ListIterator`

### add

    public void add(java.lang.Object o)

  Specified by:
    `add` in interface `java.util.ListIterator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD